Skip to content

Create Read Replica

POST
/api/v1/rds/cluster/{Cluster_id}/add-slave
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/add-slave?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"template_id": 159,
"public_ip_required": true
}'

Creates a replica for an existing DBaaS cluster.

Request Flow:

  1. When dest_location is not provided, the API creates a read replica in the same region.
  2. When dest_location is provided, the API creates a read replica in the destination region.
Cluster_id
required
integer

Cluster Id

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

dest_location
string
Allowed values: Delhi Chennai

Constraint:

  • If location is Delhi/Chennai, select dest_location as Delhi or Chennai.
Media typeapplication/json
One of:
object
template_id
required

Template ID for read replica

integer

Example

159
public_ip_required
required

Whether public IP is required for the read replica

boolean

Example

true

Success response

Media typeapplication/json
object
code
integer
data
object
key
additional properties
any
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"message": "success"
}